Skip to main content
POST
/
tasks
/
{task_id}
/
export
Export Task To Url
curl --request POST \
  --url https://api.example.com/tasks/{task_id}/export \
  --header 'Content-Type: application/json' \
  --data '
{
  "upload_url": "<string>"
}
'
{
  "task_id": "<string>",
  "upload_url": "<string>",
  "uploaded_bytes": 123,
  "messages_count": 123,
  "task_states_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

task_id
string
required

Body

application/json
upload_url
string<uri>
required

Presigned PUT URL where Agentex will upload the task snapshot as JSON. Must be https; must resolve to a public address.

Required string length: 1 - 2083

Response

Successful Response

task_id
string
required
upload_url
string
required
uploaded_bytes
integer
required
messages_count
integer
required
task_states_count
integer
required